<template>
  <el-container style="height: 100%; border: 1px solid #eee">
    <el-aside width="230px" style="overflow-x: hidden">
      <el-tree
        :data="data"
        :props="defaultProps"
        @node-click="handleNodeClick"
        :render-content="renderContent"
      >
        <span slot-scope="{node, data}">
          <img :src="require(data.img)" alt="" />
          <span>{{ data.label }}</span>
        </span>
      </el-tree>
    </el-aside>
    <div style="width: 100%">
      <div style="display: flex" v-if="active == '日常巡检'">
        <div class="imgBox" style="border-right: none">
          <p class="fontstyle" style="padding: 20px 0">单子详情</p>
          <img
            :src="require('@/assets/img/rcxjdzxq.jpg')"
            alt=""
            style="width: auto"
          />
        </div>
        <div class="imgBox2">
          <p class="fontstyle" style="padding: 20px 0">审批流程:</p>

          <img :src="require('@/assets/img/rcxjlc.png')" alt="" />
        </div>
      </div>
      <div style="display: flex" v-if="active == '日常养护'">
        <div class="imgBox" style="border-right: none">
          <p class="fontstyle" style="padding: 20px 0">单子详情</p>
          <div
            style="
              width: 100%;
              height: calc(100% - 70px);
              display: flex;
              flex-wrap: wrap;
              overflow: auto;
            "
          >
            <img :src="require('@/assets/img/yhpdzyd.jpg')" alt="" />
            <img :src="require('@/assets/img/yhpdysd.jpg')" alt="" />
          </div>
        </div>
        <div class="imgBox2">
          <p class="fontstyle" style="padding: 20px 0">审批流程:</p>
          <div style="overflow: auto;height: calc(100% - 70px);">
            <img :src="require('@/assets/img/yhpdlc.png')" alt="" />
          </div>
        </div>
      </div>
      <div style="display: flex" v-if="active == '专项养护'">
        <div class="imgBox" style="border-right: none">
          <p class="fontstyle" style="padding: 20px 0">单子详情</p>
          <div
            style="
              width: 100%;
              height: calc(100% - 70px);
              display: flex;
              flex-wrap: wrap;
              overflow: auto;
            "
          >
            <img :src="require('@/assets/img/20220328113121.png')" alt="" />
            <img :src="require('@/assets/img/20220328113132.jpg')" alt="" />
          </div>
        </div>
        <div class="imgBox2">
          <p class="fontstyle" style="padding: 20px 0">审批流程:</p>
          <div style="overflow: auto;height: calc(100% - 70px);">
            <img :src="require('@/assets/img/yhpdlc.png')" alt="" />
          </div>
        </div>
      </div>
    </div>
  </el-container>
</template>

<script>
export default {
  components: {},
  data() {
    return {
      data: [
        {
          label: '中铁建昆仑投资集团',
          children: [
            {
              label: '日常巡检',
              img: require('@/assets/img/wenjian.png'),
            },
            {
              label: '日常养护',
              img: require('@/assets/img/wenjian.png'),
            },
            // {
            //   label: '专项养护',
            //   img: require('@/assets/img/wenjian.png'),
            // },
          ],
        },
      ],
      img: '/assets/img/rcxjdzxq.jpg',
      defaultProps: {
        children: 'children',
        label: 'label',
      },
      active: '',
    }
  },
  created() {},
  methods: {
    handleNodeClick(data) {
      console.log(data)
      this.active = data.label
    },
    renderContent(h, {node, data, store}) {
      console.log(node, data)
      return (
        <span>
          <i class={data.img}></i>
          <span>{data.label}</span>
        </span>
      )
    },
  },
  mounted() {},
  watch: {},
}
</script>
<style lang="scss" scoped>
// .img {
//   width: auto;
//   height: auto;
//   max-width: 100%;
//   max-height: 100%;
//   position: absolute;
//   top: 50%;
//   left: 50%;
//   transform: translate(-50%, -50%);
// }
.imgBox {
  padding: 0 20px;
  width: 50%;
  height: 867px;
  box-sizing: border-box;
  border: 1px solid #1a4a72;
  p {
    margin: 0;
  }
  img {
    margin-top: 10px;
    width: 100%;
    height: auto;
  }
}
.imgBox2 {
  position: relative;
  width: 50%;
  height: 867px;
  padding: 0 20px;
  min-height: 867px;
  box-sizing: border-box;
  border: 1px solid #1a4a72;
  img {
    width: auto;
    height: auto;
    margin: 0 auto;
    display: block;
  }
}
.fontstyle {
  font-size: 14px;
  color: #eaf6ff;
  margin: 0;
}
/deep/.tree-icon {
  display: inline-block;
}
/deep/.el-tree-node__content {
  color: #85a9c7;
}
</style>